Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

use the perl6 we ran with #28

Closed
coke opened this Issue · 5 comments

4 participants

@coke

It would be nice if panda could use the perl6 that ran it for future operations rather than also requiring a perl6 in your path.

@tadzik tadzik was assigned
@tadzik
Owner

That'll also require rewriting a shebang. Do we have volunteers? :)

@leto
Collaborator

There is $^X in Perl 5. Is there something similar in the Perl 6 spec?

@tadzik
Owner

Panda::Builder is already using $*EXECUTABLE_NAME, but bin/panda has #!/usr/bin/env perl6 on top, and that's what you need perl6 in PATH for.

@FROGGS
Collaborator

This is addressed in the eleven branch:

When you invoke bootstrap.pl using perl6-m, it will install a panda-m wrapper script that will delegate to perl6-m panda. This wrapper will be created for all binary scripts that are installed.

@tadzik
Owner

Now that eleven's merged, I think this is closable :)

@tadzik tadzik closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.